.button,
a.button {
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
  cursor: pointer;
  border: none;
  border-radius: 24px;
  padding: 10px 16px!important;
}

.button.disabled {
  pointer-events: none;
}

.twitter-btn {
  cursor: pointer;
}

.button.big {
  border-radius: 32px;
  padding: 18px 32px;
}

.button.blue,
.button.blue span,
.dark .button.blue:hover,
.dark .button.blue:hover span {
  background-color: var(--blue);
  color: var(--white);
}

.button.blue:hover,
.button.blue:hover span,
.button.blue span:hover {
  background-color: var(--blue-violet);
}

.button:active {
  margin-top: 2px;
  margin-bottom: -2px;
}

.dark .button.blue,
.dark .button.blue span {
  background-color: var(--white);
  color: var(--dark-black);
}

.upgrade-to-pro-wrap {
  align-items: center;
  top: 0;
  left: 50%;
  gap: 16px;
  z-index: 1;
}

#AllAllAccountFriendsDetailTable .upgrade-to-pro-wrap,
.followed-accounts-wrap-block .upgrade-to-pro-wrap,
.tags .upgrade-to-pro-wrap {
  position: absolute!important;
  transform: translateX(-50%);
}

#followedFriendshipHistoryTable .upgrade-to-pro-wrap,
#followingFriendshipHistoryTable .upgrade-to-pro-wrap {
  top: -24px;
}

.upgrade-to-pro-wrap p,
.upgrade-to-pro-wrap button {
  z-index: 1;
}

  .overview .tags .upgrade-to-pro-wrap:before,
  .account-content .unit-info-wrapper .upgrade-to-pro-wrap:before{
  content: '';
  display: block;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) -150%, #FFFFFF 100%);
  border-radius: 8px;
  height: 100%;
  width: 100%;
  position: absolute;
  left: 0;
  top: 0;
}

.dark .overview .tags .upgrade-to-pro-wrap:before,
.dark .account-content .unit-info-wrapper .upgrade-to-pro-wrap:before {
  background: linear-gradient(180deg, rgb(255 240 240 / 0%) -150%, #27272A 100%);
}

.chart-block-wrapper .upgrade-to-pro-wrap {
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
}

.overview .chart .upgrade-to-pro-wrap {
  transform: translate(-50%, -50%);
  top: 50%;
}

button strong {
  font-weight: 500;
}

.dark .button.button-upgrade-to-pro:hover {
  background-color: var(--blue);
  color: var(--white);
}

.button.big.button-upgrade-to-pro {
  padding: 10px 16px;
  white-space: nowrap;
}

.button.big.button-upgrade-to-pro.btn-subsciption-upgrade-pro-on-page,
.button.big.button-upgrade-to-pro.free-trial {
  width: 500px;
  align-self: center;
  line-height: 30px;
  text-align: center;
}

.button.grey {
  background-color: var(--grey-200);
  color: var(--grey-800);
}

.button.grey:hover {
  background-color: var(--grey-300);
}

.dark .button.grey {
  background-color: var(--dark-black);
  color: var(--white);
}

.dark .button.grey:hover {
  background-color: var(--grey-300);
  color: var(--black);
}

.dark .button.grey:hover span {
  color: var(--black);
}

.button.white {
  background-color: var(--white);
  color: var(--grey-900);
}

.dark .button.white {
  background-color: var(--dark-black);
  color: var(--white);
}

.button.text {
  background-color: var(--grey-200);
  color: var(--grey-800);
}

.button.transparent {
  background-color: transparent;
  color: var(--grey-900);
}

.dark .button.transparent {
  color: var(--white);
}

.home-page .button.transparent {
  background-color: transparent;
  color: var(--white);
}

.button.transparent:hover {
  background-color: var(--grey-200);
  color: var(--grey-900);
}

.home-page .button.transparent:hover {
  background-color: var(--white);
  color: var(--grey-900);
}

.dark .btn-light:not(:disabled):not(.disabled).active {
  background-color: #444;
  color: var(--white);
  border-color: var(--blue);
}

.btn-light:not(:disabled):not(.disabled).active {
  background-color: #f8f9fa;
  color: var(--black);
  border-color: var(--blue);
}